Create Trade Completion
POST
/api/v1/manual-entries/trade-completions
const url = 'https://api.qeychain.xyz/api/v1/manual-entries/trade-completions';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"outflow_asset":"example","outflow_quantity":1,"outflow_timestamp":"2026-04-15T12:00:00Z","outflow_transaction_id":"example","received_asset":"example","received_quantity":1,"received_price_usd":1,"received_timestamp":"2026-04-15T12:00:00Z","fee_asset":"example","fee_quantity":1,"venue":"example","reason_code":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.qeychain.xyz/api/v1/manual-entries/trade-completions \ --header 'Content-Type: application/json' \ --data '{ "outflow_asset": "example", "outflow_quantity": 1, "outflow_timestamp": "2026-04-15T12:00:00Z", "outflow_transaction_id": "example", "received_asset": "example", "received_quantity": 1, "received_price_usd": 1, "received_timestamp": "2026-04-15T12:00:00Z", "fee_asset": "example", "fee_quantity": 1, "venue": "example", "reason_code": "example" }'Create a manual trade completion linking an outflow to an inflow.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
TradeCompletionCreate
Create a manual trade completion.
object
outflow_asset
required
Outflow Asset
string
outflow_quantity
required
Outflow Quantity
number
outflow_timestamp
required
Outflow Timestamp
string format: date-time
received_asset
required
Received Asset
string
received_quantity
required
Received Quantity
number
received_price_usd
required
Received Price Usd
USD price per unit at time of trade
number
received_timestamp
required
Received Timestamp
string format: date-time
Examplegenerated
{ "outflow_asset": "example", "outflow_quantity": 1, "outflow_timestamp": "2026-04-15T12:00:00Z", "outflow_transaction_id": "example", "received_asset": "example", "received_quantity": 1, "received_price_usd": 1, "received_timestamp": "2026-04-15T12:00:00Z", "fee_asset": "example", "fee_quantity": 1, "venue": "example", "reason_code": "example"}Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Examplegenerated
exampleValidation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}